Subject: Re: [PATCH] numactl: fix libnuma on big-endian 64-bit systems

From: Arnd Bergmann <[email-masked]>
Date: Thu, 4 Dec 2008 21:49:05 +0100

On Thursday 04 December 2008, Lee Schermerhorn wrote:
> On Thu, 2008-12-04 at 18:34 +0100, Arnd Bergmann wrote:
> > The read-mask function assumes that it is running in 32-bit mode,
> > by addressing the bitmask as a series of int values, instead of
> > longs. This is broken as can easily be reproduced by running numademo
> > on a bit-endian 64-bit system.
> > 
> > Changing the addressing to use 'long' values fixes the problem.
> 
> Hi, Arnd:
> 
> Not sure what you mean here.  If the patch below is a proposed fix [I
> don't see a 'Signed-off-by:", but maybe not needed for libnuma
> patches?], the description above doesn't match the code.  Looks like
> you're changing the addressing FROM 'long' values to use 'int' values so
> that the size is compatible between 32- and 64-bits.  Or is that a
> reverse patch/diff below?

Sorry about that, I was in a hurry when sending this one out and attached
the wrong file, the reverse patch is needed indeed. I'll resend with
a proper Signed-off-by.

	Arnd <><